Issue1390

classification
Title: ihooks fails due to unimplemented methods in imp module
Type: behaviour Severity: normal
Components: Core, Library Versions: 25rc4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pjdm, pjenvey, schluehk, zyasoft
Priority: Keywords:

Created on 2009-07-01.10:58:58 by schluehk, last changed 2010-04-11.19:26:21 by pjenvey.

Messages
msg4868 (view) Author: Kay Schluehr (schluehk) Date: 2009-07-01.10:58:57
The stdlib ihooks module requests for imp module functions is_frozen,
is_builtin. 

There are also other functions missing in the imp module like
load_compiled().
msg4870 (view) Author: Jim Baker (zyasoft) Date: 2009-07-02.03:53:26
ihooks was removed in 3.0 and it's officially undocumented. Is there
anything it supports that can't be done with PEP 302, which we fully
support?
msg5042 (view) Author: Peter Mayne (pjdm) Date: 2009-08-16.10:18:50
Mercurial uses imp.is_frozen() in mercurial.util.main_is_frozen(), so it
would be useful to get Mercurial working.
msg5666 (view) Author: Philip Jenvey (pjenvey) Date: 2010-04-11.19:26:20
added imp.is_frozen/builtin and load_compiled in r7018. We're still missing some other imp functions, but I think we have all the major ones now.

It looks like we're missing get_frozen_object, get_magic, init_builtin/frozen and the undocumented load_package. I'm not sure any of those are really applicable to Jython
History
Date User Action Args
2010-04-11 19:26:21pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg5666
nosy: + pjenvey
2009-08-16 10:18:50pjdmsetnosy: + pjdm
messages: + msg5042
2009-07-02 03:53:26zyasoftsetnosy: + zyasoft
messages: + msg4870
2009-07-01 10:58:58schluehkcreate